Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.gui.wizard
Interface Wizard

All Known Implementing Classes:
  WizardDialog, WizardFrame, WizardPanel

public interface Wizard

Field Summary
`final static int` | `CANCEL`
`final static int` | `ERROR`
`final static int` | `SUCCESS` Result codes

Method Summary
`void` | `done(int result)` Notifies wizard that all work done with apropriate result code.
`void` | `finish(boolean ready)` Notifies Wizard that all properties filled and user can start some processing.
`int` | `init(WizardTarget target)` Show modal wizard for the specified WizardTarget.
`void` | `setStepReady(boolean bReady)` Notifies Wizard that current step ready/not ready.

Field Detail

### CANCEL

    public final static int CANCEL

### ERROR

    public final static int ERROR

### SUCCESS

    public final static int SUCCESS

  Result codes

Method Detail

### done

    public void done(int result)

  Notifies wizard that all work done with apropriate result code. (Usually wizard will ready to close if success and permit user to re-enter propeties on error).

### finish

    public void finish(boolean ready)

  Notifies Wizard that all properties filled and user can start some processing. And vice versa (some property(ies) not filled and processing cant't be started). (Usually Wizard should enable/disable "Finish" and/or "Done" buttons in this method).

### init

    public int init(WizardTarget target)

  Show modal wizard for the specified WizardTarget. Return result (OK or CANCEL).

### setStepReady

    public void setStepReady(boolean bReady)

  Notifies Wizard that current step ready/not ready. (Usually Wizard should enable "Next" button in this method).

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM